package de.ivu.elect.business.wahlbeteiligung.boundary;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlauf;

@GroupedConversationScoped
@ConversationGroup(AbstractWahlbeteiligungVerlaufSearchParameters.class)
public class WahlbeteiligungVerlaufSearchParameters extends AbstractWahlbeteiligungVerlaufSearchParameters {
  private static final long serialVersionUID = 1L;

  private WahlbeteiligungVerlauf wahlbeteiligungVerlauf;

  public WahlbeteiligungVerlauf getWahlbeteiligungVerlauf() {
    if (wahlbeteiligungVerlauf == null) {
      wahlbeteiligungVerlauf = new WahlbeteiligungVerlauf();
      wahlbeteiligungVerlauf.setStatus(null);
      wahlbeteiligungVerlauf.setTyp(null);
    }
    return wahlbeteiligungVerlauf;
  }

  public Wahl getWahl() {
    return getWahlbeteiligungVerlauf().getWahl();
  }

  public void setWahl(Wahl wahl) {
    getWahlbeteiligungVerlauf().setWahl(wahl);
  }

  @Override
  public void reset() {
    super.reset();
    wahlbeteiligungVerlauf = null;
  }
}
